#ifndef COIL_HPP_
#define COIL_HPP_

#include <Item/StatelessItem/BasicItem/BasicItem.hpp>
#include <Item/IChemicalReactorComponent.hpp>

/**
 * @brief The coil item, which heats up the chemical reactor.
 */
class Coil : public BasicItem, public IChemicalReactorComponent
{
public:
    Coil(std::string name);

    virtual void describeInChemicalReactor(ItemStack &stack, std::ostream &os) override;
    virtual void updateChemicalReactor(ItemStack &stack, MChemicalReactor &reactor) override;
};

#endif